{"openapi":"3.1.0","info":{"title":"GET /api/v1/invoices/metrics","version":"1.0.0","description":"Get invoice metrics"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/invoices/metrics":{"get":{"tags":["invoices"],"summary":"Get invoice metrics","description":"Retrieve aggregated invoice metrics for the business: total outstanding and total overdue across all open invoices.","operationId":"get_invoice_metrics_api_v1_invoices_metrics_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceMetricsResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"InvoiceMetricsResponse":{"properties":{"total_outstanding":{"type":"integer","title":"Total Outstanding","description":"Sum of the total for all invoices in 'open' status (in cents)."},"total_overdue":{"type":"integer","title":"Total Overdue","description":"Sum of the total for all open invoices where the current date exceeds the due date (in cents)."}},"type":"object","required":["total_outstanding","total_overdue"],"title":"InvoiceMetricsResponse","description":"Response schema for invoice aggregate metrics."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}